org.apache.solr.client.solrj.response.schema

## Class FieldTypeRepresentation

- java.lang.Object
- - org.apache.solr.client.solrj.request.schema.FieldTypeDefinition
  - - org.apache.solr.client.solrj.response.schema.FieldTypeRepresentation

    public class FieldTypeRepresentation
    extends FieldTypeDefinition

### Constructor Summary

Constructors
Constructor and Description
`FieldTypeRepresentation()`

### Method Summary

Methods
`List<String>` `getDynamicFields()`
`List<String>` `getFields()`
`void` `setDynamicFields(List<String> dynamicFields)`
`void` `setFields(List<String> fields)`

### Methods inherited from class org.apache.solr.client.solrj.request.schema.FieldTypeDefinition

`getAnalyzer, getAttributes, getIndexAnalyzer, getMultiTermAnalyzer, getQueryAnalyzer, getSimilarity, setAnalyzer, setAttributes, setIndexAnalyzer, setMultiTermAnalyzer, setQueryAnalyzer, setSimilarity`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldTypeRepresentation

    public FieldTypeRepresentation()

### Method Detail

#### getFields

    public List<String> getFields()

#### setFields

    public void setFields(List<String> fields)

#### getDynamicFields

    public List<String> getDynamicFields()

#### setDynamicFields

    public void setDynamicFields(List<String> dynamicFields)